Create a playback ID

You can create a new playback ID for a specific media asset. If you have already retrieved an existing playbackId using the Get Media by ID endpoint for a media asset, you can use this endpoint to generate a new playback ID with a specified access policy.

If you want to create a private playback ID for a media asset that already has a public playback ID, this endpoint also allows you to do so by specifying the desired access policy.

How it works

  1. Make a POST request to this endpoint, replacing <mediaId> with the uploadId or id of the media asset.

  2. Include the accessPolicy in the request body with private or public as the value.

  3. You receive a response containing the newly created playback ID with the specified access level.

Example

A video streaming service generates playback IDs for each media file when users request to view specific content. The video player then uses the playback ID to stream the video.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

The unique identifier assigned to the media when created. The value must be a valid UUID.

Body Params

Request body for creating playback id for an media

string
enum
required

Access policy for media content

Allowed:
accessRestrictions
object
uuid

DRM configuration ID (required if accessPolicy is "drm")

string
enum

The maximum resolution for the playback ID.

Allowed:
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json